import { EventEmitter } from '@angular/core';
import { AcdcToast, AcdcNotifcationsDefaultConfig, AcdcToastConfig } from './acdc-notifications.model';
export declare class AcdcNotificationsService {
    private defaultConfig;
    addToastEmitter: EventEmitter<AcdcToast>;
    private counter;
    private toasts;
    private acdcConfig;
    constructor(defaultConfig: AcdcNotifcationsDefaultConfig);
    private generateId();
    private addToast(notificationLevel, title, message, timeout?);
    private toastParamsError();
    getToastsRef(): AcdcToast[];
    toast(config: AcdcToastConfig): string;
    deleteAllToasts(): void;
    deleteToast(id: string): void;
}
